curl --request POST \
--url 'https://transaction-tax.api.in.commenda.io/api/v1/registrations/v2/content/available-jurisdictions' \
--header 'Authorization: Bearer <your_token>' \
--header 'Content-Type: application/json' \
--data '{
"filters": {
"countries": ["US"],
"types": ["STATE_OR_PROVINCE"]
},
"limit": 50
}'
curl --request POST \
--url 'https://transaction-tax.api.in.commenda.io/api/v1/registrations/v2/content/available-jurisdictions' \
--header 'Authorization: Bearer <your_token>' \
--header 'Content-Type: application/json' \
--data '{
"search": "Germany",
"limit": 10
}'
{
"filters": {
"countries": ["US"],
"types": ["STATE_OR_PROVINCE"]
},
"limit": 50
}
{
"filters": {
"types": ["COUNTRY"],
"countries": ["DE", "FR", "IT", "ES"]
},
"limit": 20
}
{
"filters": {
"types": ["TRADEBLOC"]
}
}
{
"data": {
"jurisdictions": [
{
"jurisdiction_id": "JUR_US_STATE_CA",
"jurisdiction_name": "California",
"jurisdiction_type": "STATE_OR_PROVINCE",
"country": "US",
"state": "CA"
},
{
"jurisdiction_id": "JUR_US_STATE_TX",
"jurisdiction_name": "Texas",
"jurisdiction_type": "STATE_OR_PROVINCE",
"country": "US",
"state": "TX"
}
],
"total": 45,
"cursor": "SlVSX1VTX1NUQVRFX05Z"
}
}
{
"message": "Failed to parse request body.",
"error": {
"type": "CLIENT_INVALID_REQUEST_BODY",
"title": "Failed to validate the request body",
"detail": "limit must be between 1 and 100",
"status": 400,
"instance": "/api/v1/registrations/v2/content/available-jurisdictions"
}
}
Registration Content V2
List Available Jurisdictions
Search for jurisdictions where you can create V2 tax registrations
POST
/
api
/
v1
/
registrations
/
v2
/
content
/
available-jurisdictions
curl --request POST \
--url 'https://transaction-tax.api.in.commenda.io/api/v1/registrations/v2/content/available-jurisdictions' \
--header 'Authorization: Bearer <your_token>' \
--header 'Content-Type: application/json' \
--data '{
"filters": {
"countries": ["US"],
"types": ["STATE_OR_PROVINCE"]
},
"limit": 50
}'
curl --request POST \
--url 'https://transaction-tax.api.in.commenda.io/api/v1/registrations/v2/content/available-jurisdictions' \
--header 'Authorization: Bearer <your_token>' \
--header 'Content-Type: application/json' \
--data '{
"search": "Germany",
"limit": 10
}'
{
"filters": {
"countries": ["US"],
"types": ["STATE_OR_PROVINCE"]
},
"limit": 50
}
{
"filters": {
"types": ["COUNTRY"],
"countries": ["DE", "FR", "IT", "ES"]
},
"limit": 20
}
{
"filters": {
"types": ["TRADEBLOC"]
}
}
{
"data": {
"jurisdictions": [
{
"jurisdiction_id": "JUR_US_STATE_CA",
"jurisdiction_name": "California",
"jurisdiction_type": "STATE_OR_PROVINCE",
"country": "US",
"state": "CA"
},
{
"jurisdiction_id": "JUR_US_STATE_TX",
"jurisdiction_name": "Texas",
"jurisdiction_type": "STATE_OR_PROVINCE",
"country": "US",
"state": "TX"
}
],
"total": 45,
"cursor": "SlVSX1VTX1NUQVRFX05Z"
}
}
{
"message": "Failed to parse request body.",
"error": {
"type": "CLIENT_INVALID_REQUEST_BODY",
"title": "Failed to validate the request body",
"detail": "limit must be between 1 and 100",
"status": 400,
"instance": "/api/v1/registrations/v2/content/available-jurisdictions"
}
}
Search for tax jurisdictions where V2 registrations are available. Returns jurisdictions that match your filters, with cursor-based pagination for large result sets.
Request body
Filter criteria for jurisdictions.
Show Filter options
Show Filter options
Filter by ISO 3166-1 alpha-2 country codes.Example:
["US", "DE"]Filter by state or province codes.Example:
["CA", "NY", "TX"]Filter by jurisdiction type.Values:
TRADEBLOC, COUNTRY, STATE_OR_PROVINCE, CITY, COUNTY, DISTRICT, LOCAL, TERRITORYFree-text search across jurisdiction names.Example:
"California" or "Germany"Pagination cursor from a previous response. Leave empty for the first page.
Maximum number of results to return (1–100).
curl --request POST \
--url 'https://transaction-tax.api.in.commenda.io/api/v1/registrations/v2/content/available-jurisdictions' \
--header 'Authorization: Bearer <your_token>' \
--header 'Content-Type: application/json' \
--data '{
"filters": {
"countries": ["US"],
"types": ["STATE_OR_PROVINCE"]
},
"limit": 50
}'
curl --request POST \
--url 'https://transaction-tax.api.in.commenda.io/api/v1/registrations/v2/content/available-jurisdictions' \
--header 'Authorization: Bearer <your_token>' \
--header 'Content-Type: application/json' \
--data '{
"search": "Germany",
"limit": 10
}'
{
"filters": {
"countries": ["US"],
"types": ["STATE_OR_PROVINCE"]
},
"limit": 50
}
{
"filters": {
"types": ["COUNTRY"],
"countries": ["DE", "FR", "IT", "ES"]
},
"limit": 20
}
{
"filters": {
"types": ["TRADEBLOC"]
}
}
{
"data": {
"jurisdictions": [
{
"jurisdiction_id": "JUR_US_STATE_CA",
"jurisdiction_name": "California",
"jurisdiction_type": "STATE_OR_PROVINCE",
"country": "US",
"state": "CA"
},
{
"jurisdiction_id": "JUR_US_STATE_TX",
"jurisdiction_name": "Texas",
"jurisdiction_type": "STATE_OR_PROVINCE",
"country": "US",
"state": "TX"
}
],
"total": 45,
"cursor": "SlVSX1VTX1NUQVRFX05Z"
}
}
{
"message": "Failed to parse request body.",
"error": {
"type": "CLIENT_INVALID_REQUEST_BODY",
"title": "Failed to validate the request body",
"detail": "limit must be between 1 and 100",
"status": 400,
"instance": "/api/v1/registrations/v2/content/available-jurisdictions"
}
}
Related
- Available Registrations — Get registration options for jurisdictions
- V2 Registration Content Overview — Full content API workflow
Was this page helpful?
⌘I